language: php
php:
  - 5.5
  - 5.6
  - 7.0
  - hhvm
  - nightly

matrix:
  fast_finish: true
  allow_failures:
    - php: hhvm
    - php: nightly

sudo: false

before_script:
  - travis_retry composer self-update
  - travis_retry composer install

script:
- composer test
